petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscStrcmp

Compares two strings,

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrcmp(const char a[],const char b[],PetscBool  *flg)

Not Collective

### Input Parameters

| a | - pointer to string first string
| b | - pointer to second string

### Output Parameter

flg -PETSC_TRUE if the two strings are equal

### Notes

Not for use in Fortran

### See Also

PetscStrgrt(), PetscStrncmp(), PetscStrcasecmp()

### Level

intermediate

### Location

src/sys/utils/str.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex72.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages